Bug 567727 - Update bzr to a more recent release
Summary: Update bzr to a more recent release
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: bzr
Version: el5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Toshio Ernie Kuratomi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-23 19:12 UTC by Jonathan Martens
Modified: 2010-05-19 02:38 UTC (History)
2 users (show)

Fixed In Version: loggerhead-1.17-6.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-19 02:38:10 UTC


Attachments (Terms of Use)

Description Jonathan Martens 2010-02-23 19:12:50 UTC
Is it possible that a newer version of bzr can be released into EPEL?

With the current version I get errors like this:
[jonathan@test ~]$ bzr co bzr://bzr.mozilla.org/bugzilla/trunk
bzr: ERROR: Unknown branch format: 'Bazaar Branch Format 7 (needs bzr 1.6)\n'
[jonathan@test ~]$

The latest version of bzr is already one major release higher, see https://launchpad.net/bzr/+announcement/5157

Comment 1 Toshio Ernie Kuratomi 2010-02-23 20:06:18 UTC
Unfortunately, bzrlib breaks compatibility in addition to bzr breaking repository format compatibility.  I'm not sure quite how we want to handle this.

One possibility is to have multiple packages. (ie, someone can submit a bzr2 package for review.)

Another is to go ahead and upgrade after porting everything we can to a new version.  mozilla.org is a pretty big user of bzr so maybe this is what we need to do.

As one example of things that are broken by the bzrlib upgrade, bzr-webserve no longer works with the new bzrlib.  This is being used on fedorahosted.  Packaging loggerhead and moving fedorahosted to that would make that problem go away.

Comment 2 Fedora Update System 2010-04-13 12:46:24 UTC
qbzr-0.19-0.1.b1.el5,loggerhead-1.17-4.el5,trac-bazaar-plugin-0.3.3-1.el5,bzr-gtk-0.98.0-2.el5,bzrtools-2.1.0-3.el5,bzr-2.1.1-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/qbzr-0.19-0.1.b1.el5,loggerhead-1.17-4.el5,trac-bazaar-plugin-0.3.3-1.el5,bzr-gtk-0.98.0-2.el5,bzrtools-2.1.0-3.el5,bzr-2.1.1-3.el5

Comment 3 Toshio Ernie Kuratomi 2010-04-13 13:06:42 UTC
I've been granted permission to update bzr if no one yells due to incompatibilities such as this (launchpad is also incompatible with bzr client 1.13).  Please test that upgrade -- it should be pushed to testing soon and out to the epel-stable repo in two weeks (again provided there's not a huge outcry from me performing the upgrade).

Comment 4 Fedora Update System 2010-04-15 15:51:27 UTC
qbzr-0.19-0.1.b1.el5, loggerhead-1.17-4.el5, trac-bazaar-plugin-0.3.3-1.el5, bzr-gtk-0.98.0-2.el5, bzrtools-2.1.0-3.el5, bzr-2.1.1-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qbzr loggerhead trac-bazaar-plugin bzr-gtk bzrtools bzr'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/qbzr-0.19-0.1.b1.el5,loggerhead-1.17-4.el5,trac-bazaar-plugin-0.3.3-1.el5,bzr-gtk-0.98.0-2.el5,bzrtools-2.1.0-3.el5,bzr-2.1.1-3.el5

Comment 5 Fedora Update System 2010-04-29 16:40:32 UTC
loggerhead-1.17-6.el5, qbzr-0.19-0.1.b1.el5, trac-bazaar-plugin-0.3.3-1.el5, bzr-gtk-0.98.0-2.el5, bzrtools-2.1.0-3.el5, bzr-2.1.1-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update loggerhead qbzr trac-bazaar-plugin bzr-gtk bzrtools bzr'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/qbzr-0.19-0.1.b1.el5,loggerhead-1.17-6.el5,trac-bazaar-plugin-0.3.3-1.el5,bzr-gtk-0.98.0-2.el5,bzrtools-2.1.0-3.el5,bzr-2.1.1-3.el5

Comment 6 Fedora Update System 2010-05-19 02:37:30 UTC
loggerhead-1.17-6.el5, qbzr-0.19-0.1.b1.el5, trac-bazaar-plugin-0.3.3-1.el5, bzr-gtk-0.98.0-2.el5, bzrtools-2.1.0-3.el5, bzr-2.1.1-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.